plugins {
    kotlin("multiplatform") version "1.7.10"
    `maven-publish`
}

group = "com.universablockchain"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
}

kotlin {
    jvm {
        compilations.all {
            kotlinOptions.jvmTarget = "1.8"
        }
        withJava()
        testRuns["test"].executionTask.configure {
            useJUnitPlatform()
        }
    }
    sourceSets {
        val commonMain by getting
        val commonTest by getting {
            dependencies {
                implementation(kotlin("test"))
            }
        }
        val jvmMain by getting
        val jvmTest by getting
    }

    publishing {

        publications {
            create<MavenPublication>("maven") {
                from(components["java"])
            }
            repositories {
                maven {
                    url = uri("https://gitea.sergeych.net/api/packages/getea-test/maven")
                    credentials(HttpHeaderCredentials::class) {
                        name = "Authorization"
                        value = "Bearer ${System.getenv("maven_token")}"
                    }
                    authentication {
                        create<HttpHeaderAuthentication>("header")
                    }
                }
            }
        }
    }

}
